Welcome to the forums. Please post in English or French.

You are not logged in.

#1 2019-10-22 08:36:18

dezsit
Member
Registered: 2012-06-27
Posts: 51
Website

Salome Meca 2019 new version (2019.0.1)

(*** Relocated from <<Code_Aster installation>> ***)

Hi Developers and Community members!

First of all, thank you for the new Salome Meca version (from the last Saturday). It seems to be much better now, than the first version. We could install it without any error, and start to use it after doing some usual tricks (symlinks for libstdc++.so.*).
The responsiveness of the gui is much better now, even if the AsterStudy hangs sometimes when I switching between the tabs (history, case) or select files. So nice job, thank you again!

One question: OpenTurns is not available in this release. It is planned to be make it available in a next release, or could somebody share some knowledge how to include OT into SalomeMeca manually?

Thank you and
Best regards
dezsit.

Last edited by dezsit (2019-10-22 08:38:14)

Offline

#2 2019-10-22 13:51:44

laurent
Member
Registered: 2007-11-22
Posts: 230

Re: Salome Meca 2019 new version (2019.0.1)

Hi

Same here, on Ubuntu 18.04, following the pre-requisites installation.
Message "can not import OpenTurns; check your installtion"

(no issue with Salome_Meca_2018 on the same machine)

It doesn't help, but the additionnal message might get some attention about the current status.

Have a nice day

Offline

#3 2019-10-25 13:53:14

sb1966
Member
Registered: 2015-03-16
Posts: 112

Re: Salome Meca 2019 new version (2019.0.1)

Problem with default gmsh:

Dear All,

After I installed the latest bundle (2019.0.1-1LGPL) in my Ubuntu 18.04 system, I am facing a different problem. My system has stopped invoking gmsh-4.0.3, which was installed earlier in my /usr/local/ and whose path is already exported in my   /etc/profile.d/ via a shell script. But now my ".gmsh.rc" file shows the default gmsh as:

General.ExecutableFileName = "/home/sukumar/salome_meca/V2019_univ/prerequisites/Gmsh_bin-2120Linux64/bin/gmsh";

I tried to change it as:

 General.ExecutableFileName = "/usr/local/gmsh-4.3.0-Linux64/bin/gmsh";

and also using the following:

 
General.SaveSession = 0;

However, this has not solved the issue.

Hope some one can help me in resolving this.

Thanking you and with best regards.

Sukumar

Offline

#4 2019-10-25 22:42:02

sb1966
Member
Registered: 2015-03-16
Posts: 112

Re: Salome Meca 2019 new version (2019.0.1)

[Solved] Problem with default gmsh:

Dear All,

The following trick has resolved the problem:
1) Renaming the gmsh binary in ~/salome_meca/V2019_univ/prerequisites/Gmsh_bin-2120Linux64/bin

 
cd ~/salome_meca/V2019_univ/prerequisites/Gmsh_bin-2120Linux64/bin
mv gmsh _gmsh

2) Creating a symbolic link of the gmsh4.4.1 binary from /usr/local/ at ~/salome_meca/V2019_univ/prerequisites/Gmsh_bin-2120Linux64/bin/

ln -s /usr/local/gmsh-4.4.1-Linux64/bin/gmsh gmsh

Thanks and regards.

Sukumar

Offline

#5 2019-10-27 09:15:13

sameer21101970
Member
Registered: 2019-09-06
Posts: 32

Re: Salome Meca 2019 new version (2019.0.1)

Below Error Pop-up, don't understand how to solve it. for 2019 version. kindly reply, Group.

sameer@sameer-HP-620:~/salome_meca/appli_V2019_univ$ ./salome
runSalome running on sameer-HP-620
Error when trying to access active network connections.
Traceback (most recent call last):
  File "/home/sameer/salome_meca/appli_V2019_univ/bin/salome/PortManager.py", line 111, in __isNetworkConnectionActiveOnPort
    p = Popen(cmd, stdout=PIPE, stderr=STDOUT)
  File "/home/sameer/salome_meca/V2019_univ/prerequisites/Python-365/lib/python3.6/subprocess.py", line 709, in __init__
    restore_signals, start_new_session)
  File "/home/sameer/salome_meca/V2019_univ/prerequisites/Python-365/lib/python3.6/subprocess.py", line 1344, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: 'netstat': 'netstat'
Searching for a free port for naming service: 2820 - OK
Searching Naming Service  + found in 0.1 seconds
Searching /Kernel/Session in Naming Service  ++SALOME_Session_Server: error while loading shared libraries: libQt5Xml.so.5: cannot open shared object file: No such file or directory
Traceback (most recent call last):
  File "/home/sameer/salome_meca/V2019_univ/modules/KERNEL_V9_3_0/bin/salome/orbmodule.py", line 172, in waitNSPID
    os.kill(thePID,0)
ProcessLookupError: [Errno 3] No such process

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/sameer/salome_meca/appli_V2019_univ/bin/salome/runSalome.py", line 633, in useSalome
    clt = startSalome(args, modules_list, modules_root_dir)
  File "/home/sameer/salome_meca/appli_V2019_univ/bin/salome/runSalome.py", line 578, in startSalome
    session=clt.waitNSPID("/Kernel/Session",mySessionServ.PID,SALOME.Session)
  File "/home/sameer/salome_meca/V2019_univ/modules/KERNEL_V9_3_0/bin/salome/orbmodule.py", line 174, in waitNSPID
    raise RuntimeError("Process %d for %s not found" % (thePID,theName))
RuntimeError: Process 7462 for /Kernel/Session not found


--- Error during Salome launch ---

Offline

#6 2019-10-27 10:02:15

sameer21101970
Member
Registered: 2019-09-06
Posts: 32

Re: Salome Meca 2019 new version (2019.0.1)

Adjusting the file : /home/sameer/salome_meca/appli_V2019_univ/SalomeApp.xml
Warning: the directory /home/sameer/salome_meca/V2019_univ/modules/EUROPLEXUS_20190/lib/salome is in a path variable but does not exist
Error in installing salome

kindly reply to correct

Offline

#7 2019-11-04 22:14:48

dezsit
Member
Registered: 2012-06-27
Posts: 51
Website

Re: Salome Meca 2019 new version (2019.0.1)

Up!

Hi, could somebody from the developers comment that we can expect an updated version with OpenTurns?

Thank you and
Best regards,
dezsit

Offline